REM checks encryption status of a filename
DECLARE DYNAMIC LIBRARY "advapi32"
    FUNCTION FileEncryptionStatusA% (f$, f&)
END DECLARE
DO
    PRINT "Filename";
    INPUT f$
    IF f$ = "" THEN END
    x = FileEncryptionStatusA(f$, f&)
    IF x = 0 THEN
        PRINT "Error accessing file."
    END IF
    IF x THEN
        SELECT CASE f&
            CASE 0
                PRINT "File can be encrypted."
            CASE 1
                PRINT "File is encrypted."
            CASE 2
                PRINT "File is system."
            CASE 3
                PRINT "File is root."
            CASE 4
                PRINT "File is system directory."
            CASE 5
                PRINT "Encryption status unknown."
            CASE 6
                PRINT "File system does not support encryption."
            CASE 7 ' reserved
            CASE 8
                PRINT "File is read-only."
        END SELECT
    END IF
LOOP
END

'FileEncryptionStatus return variable:

'0 = can be encrypted
'1 = file is encrypted
'2 = file is a system file (cannot be encrypted)
'3 = file is root (cannot be encryped)
'4 = file is system directory (cannot be encrypted)
'5 = encryption status unknown. file may be encrypted
'6 = file system does not support file encryption
'7 = reserved
'8 = file is read-only

